# C++ keyword: `template`

From cppreference.com
< cpp‎ | keyword

### Usage

- Declaration of a template
- Inside a template definition, template can be used to declare that a dependent name is a template.

### See also

- `class`, `typename`

- `export` (mark a template definition exported)

(until C++11)

- `concept`, `requires`

(since C++20)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/template&oldid=175651"